Bug 1202958 - Packstack generates invalid /etc/sysconfig/network-scripts/ifcfg-br-ex
Summary: Packstack generates invalid /etc/sysconfig/network-scripts/ifcfg-br-ex
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: Juno
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Kilo
Assignee: Martin Magr
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks: 1202961
TreeView+ depends on / blocked
 
Reported: 2015-03-17 19:20 UTC by Lars Kellogg-Stedman
Modified: 2016-05-18 13:58 UTC (History)
5 users (show)

Fixed In Version: openstack-packstack-2015.1-0.1.dev1537.gba5183c.el7.noarch
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-18 13:58:35 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1459413 0 None None None 2016-05-18 13:58:34 UTC
OpenStack gerrit 186677 0 None None None 2016-05-18 13:57:31 UTC

Description Lars Kellogg-Stedman 2015-03-17 19:20:18 UTC
The ifcfg-br-ex file created by packstack (openstack-packstack-2014.2-0.14.dev1401.gdd19d48.el7.centos.noarch) looks like this:

DEVICE=br-ex
DEVICETYPE=ovs
TYPE=OVSBridge
BOOTPROTO=static
IPADDR=172.24.4.225_br_ex
NETMASK=255.255.255.240_br_ex
ONBOOT=yes

Those `_br_ex` suffixes are bogus, and mean that upon reboot br-ex will no longer have the assigned address.

Comment 1 Lars Kellogg-Stedman 2015-03-17 19:21:02 UTC
(This was the result of running "packstack --allinone")

Comment 3 Vern Hart 2015-07-14 17:26:44 UTC
Bug still exists in Kilo (openstack-packstack-2015.1-0.1.dev1537.gba5183c.el7.noarch).
Is anyone looking into this?

Comment 5 Javier Peña 2016-05-18 13:58:35 UTC
This was fixed by https://review.openstack.org/186677 and included in RDO Kilo.


Note You need to log in before you can comment on or make changes to this bug.